# Uses of Interface
javax.net.ssl.SSLSession

Packages that use SSLSession
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLSession in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return SSLSession
Modifier and Type
Method
Description
`abstract SSLSession`
HttpsExchange.`getSSLSession()`
Get the `SSLSession` for this exchange.

## Uses of SSLSession in java.net

Methods in java.net that return types with arguments of type SSLSession
Modifier and Type
Method
Description
`Optional<SSLSession>`
SecureCacheResponse.`getSSLSession()`
Returns an `Optional` containing the `SSLSession` in use on the original connection that retrieved the network resource.

## Uses of SSLSession in java.net.http

Methods in java.net.http that return types with arguments of type SSLSession
Modifier and Type
Method
Description
`Optional<SSLSession>`
HttpResponse.`sslSession()`
Returns an `Optional` containing the `SSLSession` in effect for this response.

## Uses of SSLSession in javax.naming.ldap

Methods in javax.naming.ldap that return SSLSession
Modifier and Type
Method
Description
`abstract SSLSession`
StartTlsResponse.`negotiate()`
Negotiates a TLS session using the default SSL socket factory.
`abstract SSLSession`
StartTlsResponse.`negotiate(SSLSocketFactory factory)`
Negotiates a TLS session using an SSL socket factory.

## Uses of SSLSession in javax.net.ssl

Classes in javax.net.ssl that implement SSLSession
Modifier and Type
Class
Description
`class`
`ExtendedSSLSession`
Extends the `SSLSession` interface to support additional session attributes.
Methods in javax.net.ssl that return SSLSession
Modifier and Type
Method
Description
`SSLSession`
SSLEngine.`getHandshakeSession()`
Returns the `SSLSession` being constructed during a SSL/TLS/DTLS handshake.
`SSLSession`
SSLSocket.`getHandshakeSession()`
Returns the `SSLSession` being constructed during a SSL/TLS handshake.
`SSLSession`
HandshakeCompletedEvent.`getSession()`
Returns the session that triggered this event.
`abstract SSLSession`
SSLEngine.`getSession()`
Returns the `SSLSession` in use in this `SSLEngine`.
`SSLSession`
SSLSessionBindingEvent.`getSession()`
Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.
`SSLSession`
SSLSessionContext.`getSession(byte[] sessionId)`
Returns the `SSLSession` bound to the specified session id.
`abstract SSLSession`
SSLSocket.`getSession()`
Returns the SSL Session in use by this connection.
Methods in javax.net.ssl that return types with arguments of type SSLSession
Modifier and Type
Method
Description
`Optional<SSLSession>`
HttpsURLConnection.`getSSLSession()`
Returns an `Optional` containing the `SSLSession` in use on this connection.
Methods in javax.net.ssl with parameters of type SSLSession
Modifier and Type
Method
Description
`boolean`
HostnameVerifier.`verify(String hostname, SSLSession session)`
Verify that the host name is an acceptable match with the server's authentication scheme.
Constructors in javax.net.ssl with parameters of type SSLSession
Modifier
Constructor
Description
``
`HandshakeCompletedEvent(SSLSocket sock, SSLSession s)`
Constructs a new HandshakeCompletedEvent.
``
`SSLSessionBindingEvent(SSLSession session, String name)`
Constructs a new SSLSessionBindingEvent.